<div class="flex-container">
  <div style="grid-column-start: span 3;">
    <p>Select the CSV file you would like to upload to the database.</p>


    <label for="file-upload" class="custom-file-upload">
      <i class="fa fa-cloud-upload"></i> Load CSV
    </label>
    <input id="file-upload" type="file" (change)="changeListener($event.target.files);" />
    <input type="text" id="api" name="api" [(ngModel)]="api">
    <button (click)="postVerses()">Post</button>
    <h2>UID: {{UID}}</h2>
    <BR>
    <HR>
    <!-- <button (click)="getBibles()">Get Bibles</button>
    <button (click)="postBooks()">Post Books</button>
    <button (click)="getBooks()">Get Books</button>
    <button (click)="postChapters()">Post Chapters</button>
    <button (click)="getChapters()">Get Chapters</button>
    <button (click)="postVerses()">Post Verses</button>
    <button (click)="getVerses()">Get Verses</button> -->

  </div>
  <div>
    <h2>Upload</h2>

    <div cdkDropList #biblesList="cdkDropList" [cdkDropListData]="biblesFromServer" [cdkDropListConnectedTo]="[rejectList]"
      class="list" (cdkDropListDropped)="drop($event)">
      <div class="box" *ngFor="let i of biblesFromServer" cdkDrag>{{i.name}}</div>
    </div>
  </div>

  <div>
    <h2>Queue</h2>

    <div cdkDropList #rejectList="cdkDropList" [cdkDropListData]="rejects" [cdkDropListConnectedTo]="[biblesList]"
      class="list" (cdkDropListDropped)="drop($event)">
      <div class="box" *ngFor="let i of rejects" cdkDrag>{{i.name}}</div>
    </div>
  </div>
</div>